| Home | Libraries | People | FAQ | More

##### insert

###### Description

Returns the result type of `insert`, given the sequence, position iterator and insertion types.

###### Synopsis

    template<
        typename Sequence,
        typename Position,
        typename T
        >
    struct insert
    {
        typedef unspecified type;
    };

Table 1.95. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument
`Position` | A model of Forward Iterator | Operation's argument
`T` | Any type | Operation's argument

###### Expression Semantics

    result_of::insert<Sequence, Position, T>::type

Return type:

- A model of Forward Sequence.

Semantics: Returns a sequence with an element of type `T` inserted at position `Position` in `Sequence`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/insert.hpp>
    #include <boost/fusion/include/insert.hpp>